﻿using MindFusion.Diagramming;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Animation
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            diagram.LinkShape = LinkShape.Polyline;

            var n1 = diagram.Factory.CreateShapeNode(10, 10, 20, 20);
            var n2 = diagram.Factory.CreateShapeNode(210, 10, 20, 20);

            var n3 = diagram.Factory.CreateShapeNode(10, 110, 20, 20);
            var n4 = diagram.Factory.CreateShapeNode(210, 110, 20, 20);

            var l1 = diagram.Factory.CreateDiagramLink(n1, n2);
            var l2 = diagram.Factory.CreateDiagramLink(n3, n4);

            new LinkAnimator(l1, diagramView).
                AnimatePath(2000,
                    l1.StartPoint,
                    new PointF(70, 10),
                    new PointF(130, 30),
                    l1.EndPoint);
            new LinkAnimator(l2, diagramView).AnimatePath(1000, l2.StartPoint, l2.EndPoint);
        }
    }
}